%global       momorel 3

Name:         freeimage
License:      GPL
Group:        System Environment/Libraries
Summary:      FreeImage - A library project to support popular graphics image formats
Version:      3.10.0
Release:      %{momorel}m%{dist}
URL:          http://freeimage.sourceforge.net/
Source0:      http://dl.sourceforge.net/sourceforge/freeimage/FreeImage3100.zip
NoSource:     0
Patch0:	      freeimage-3.10.0-x86_64.patch

BuildRoot:    %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc-c++ 

%description
FreeImage is an Open Source library project for developers who would like to support
popular graphics image formats like PNG, BMP, JPEG, TIFF and others as needed by today's
multimedia applications. FreeImage is easy to use and fast, multithreading safe.

%package devel
Group:        System Environment/Libraries
Summary:      FreeImage development package
Requires:     %{name} = %{version}

%description devel
FreeImage is an Open Source library project for developers who would like to support
popular graphics image formats like PNG, BMP, JPEG, TIFF and others as needed by today's
multimedia applications. FreeImage is easy to use and fast, multithreading safe.

%prep
%setup -n FreeImage

%patch0 -p1 -b .x86_64

# undesirable setting
sed -i "s/-o root -g root//g" Makefile.gnu
sed -i "s/ldconfig//g" Makefile.gnu

%build
# freeimage default(Makefile.gnu) was "-O3 -fPIC -fexceptions -fvisibility=hidden"
make  %{?_smp_mflags} COMPILERFLAGS="$RPM_OPT_FLAGS -fPIC -fexceptions -fvisibility=hidden"

%install
mkdir -p -m 755 %{buildroot}/%{_includedir}
mkdir -p -m 755 %{buildroot}/%{_libdir}
make INCDIR=%{buildroot}/%{_includedir} INSTALLDIR=%{buildroot}%{_libdir} install

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/libfreeimage-%{version}.so

%files devel
%defattr(-,root,root)
%doc Whatsnew.txt README.linux license-gpl.txt license-fi.txt
%{_includedir}/FreeImage.h
%{_libdir}/*.a
%{_libdir}/libfreeimage.so

%changelog
* Mon Feb 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.10.0-3m)
- update x86_64 patch

* Sun Feb 17 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.10.0-2m)
- support x86_64

* Tue Feb 12 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (3.10.0-1m)
- Initial commit Momonga Linux. import from Mandriva

